Bullet Collision Detection & Physics Library: btSoftColliders::CollideCL_RS Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btSoftColliders::CollideCL_RS Struct Reference

`#include <btSoftBodyInternals.h>`

Inheritance diagram for btSoftColliders::CollideCL_RS:
[legend]
Collaboration diagram for btSoftColliders::CollideCL_RS:
[legend]

## Public Member Functions
void | Process (const btDbvtNode *leaf)
void | ProcessColObj (btSoftBody *ps, const btCollisionObjectWrapper *colObWrap)
Public Member Functions inherited from btSoftColliders::ClusterBase
| ClusterBase ()
bool | SolveContact (const btGjkEpaSolver2::sResults &res, btSoftBody::Body ba, const btSoftBody::Body bb, btSoftBody::CJoint &joint)
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Public Attributes
btSoftBody * | psb
const btCollisionObjectWrapper * | m_colObjWrap
Public Attributes inherited from btSoftColliders::ClusterBase
btScalar | erp
btScalar | idt
btScalar | m_margin
btScalar | friction
btScalar | threshold

## Detailed Description

Definition at line 1489 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ Process()

void btSoftColliders::CollideCL_RS::Process | ( | const btDbvtNode * | leaf | ) |
| inline

don't collide an anchored cluster with a static/kinematic object

Definition at line 1494 of file btSoftBodyInternals.h.

## ◆ ProcessColObj()

void btSoftColliders::CollideCL_RS::ProcessColObj | ( | btSoftBody * | ps,
|  | const btCollisionObjectWrapper * | colObWrap
| ) |  |
| inline

Bullet rigid body uses multiply instead of minimum to determine combined friction. Some customization would be useful.

Definition at line 1529 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ m_colObjWrap

const btCollisionObjectWrapper* btSoftColliders::CollideCL_RS::m_colObjWrap

Definition at line 1492 of file btSoftBodyInternals.h.

## ◆ psb

btSoftBody* btSoftColliders::CollideCL_RS::psb

Definition at line 1491 of file btSoftBodyInternals.h.

The documentation for this struct was generated from the following file:

- btSoftBodyInternals.h